# Concepts

- [Token types](https://docs.specifyapp.com/v1/concepts/token-types.md): Types define every type of design token and asset Specify is compatible with. Use them to target specific types of design data you want to pull from Specify and manage with rules and parsers.
- [Configuration](https://docs.specifyapp.com/v1/concepts/configuration.md): Learn more about how to configure Specify to generate design tokens and assets fitting your company standards.
- [Parsers](https://docs.specifyapp.com/v1/concepts/parsers.md): Parsers are functions allowing you to transform design tokens and assets coming from Specify to fit your needs and company standards.
- [Best practices](https://docs.specifyapp.com/v1/concepts/best-practices.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specifyapp.com/v1/concepts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
